#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#define M 200
#define IDC_BUTTON 501
#define maxInput 11
#define nMenuItems 8
	
extern double parse(CString,int,double [],int []);

class CCode10 : public CFrameWnd
{
protected:
	typedef struct
	{
		double x,y,p,z;			// components
	} PT;
	PT *pt;
	typedef struct
	{
		CString item,label;		// input string and its label
		CPoint hm;				// home coordinates
		CEdit ed;				// edit box
		CRect rc;				// rectangular region
	} INPUT;
	INPUT input[maxInput+1];
	typedef struct
	{
		CString item;			// menu item
		CPoint hm;				// home coordinates
		CRect rc;				// rectangular region
	} MENU;
	MENU menu[nMenuItems+1];
	typedef struct
	{
		CRect rc;				// rectangular region
		CPoint hm,end;			// starting and end coordinates
	} CURVE;
	CURVE curve;
	CListCtrl table;
	CFont Arial80;
	CButton btn;
	int m,idc,nInputItems,fMenu,fStatus;
public:
	CCode10();
	~CCode10();
	void ODE1RK2(),ODE1RK4(),ODE1System();
	void ODE1Taylor(),ODE1AB(),ODE2toODE1System();
	void ODE2FD1(),ODE2FD2(),SolveSLE(double **,double *);
	void DrawCurve(),ShowTable(),Clear(CRect);
	afx_msg void OnPaint(),OnLButtonDown(UINT,CPoint);
	afx_msg void OnButton();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
